%define name	pam_mysql
%define version 0.7
%define beta    RC1
%define release %mkrel 0.%{beta}.2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	MySQL authentication for PAM
License:	GPLv2+
Group:		System/Libraries
URL:		http://sourceforge.net/projects/pam-mysql/
Source:		http://ovh.dl.sourceforge.net/sourceforge/pam-mysql/%name-%version%beta.tar.gz
Requires:	pam
BuildRequires:	pam-devel
BuildRequires:	MySQL-devel
Obsoletes:	pam-mysql
Provides:	pam-mysql
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This is a module that allows people to login to PAM-aware applications by
authenticating to a MySQL database. Now configurable in terms of which host the
database resides upon and which table and username and password column to
interrogate.

%prep
%setup -q -n %name-%version%beta

%build
%configure2_5x --with-pam-mods-dir=/%_lib/security 
%make

%install
%makeinstall_std
rm -f %buildroot/%_lib/security/*.la

%clean
rm -rf %buildroot

%files
%defattr(-, root, root)
%doc ChangeLog CREDITS README NEWS
/%_lib/security/pam_mysql.so


%changelog
* Sat Dec 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.7-0.RC1.2mdv2009.1
+ Revision: 311342
- rebuilt against mysql-5.1.30 libs

* Sun Nov 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.7-0.RC1.1mdv2009.1
+ Revision: 303825
- new version

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6.2-3mdv2009.0
+ Revision: 254967
- rebuild

* Thu Feb 07 2008 Funda Wang <fundawang@mandriva.org> 0.6.2-1mdv2008.1
+ Revision: 163369
- New version 0.6.2

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.5-6mdv2008.1
+ Revision: 134700
- do not reinvent %%doc
- kill re-definition of %%buildroot on Pixel's request

* Sun May 06 2007 Lenny Cartier <lenny@mandriva.org> 0.5-6mdv2008.0
+ Revision: 23744
- Import pam_mysql

